table:
  name: challenges
  schema: challenges
array_relationships:
  - name: active
    using:
      manual_configuration:
        column_mapping:
          id: challenge_id
        insertion_order: null
        remote_table:
          name: active
          schema: challenges
  - name: files
    using:
      foreign_key_constraint_on:
        column: challenge_id
        table:
          name: files
          schema: challenges
  - name: flags
    using:
      manual_configuration:
        column_mapping:
          id: challenge_id
        insertion_order: null
        remote_table:
          name: flags
          schema: challenges
  - name: solves
    using:
      manual_configuration:
        column_mapping:
          id: challenge_id
        insertion_order: null
        remote_table:
          name: solves
          schema: challenges
  - name: submissions
    using:
      foreign_key_constraint_on:
        column: challenge_id
        table:
          name: submissions
          schema: challenges
  - name: tags
    using:
      foreign_key_constraint_on:
        column: challenge_id
        table:
          name: tags
          schema: challenges
insert_permissions:
  - role: _ctf_admin
    permission:
      check: {}
      columns:
        - category
        - description
        - designer
        - name
        - id
select_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - category
        - description
        - designer
        - name
        - id
      filter: {}
      allow_aggregations: true
  - role: _participant
    permission:
      columns:
        - id
        - name
      filter: {}
      allow_aggregations: true
  - role: _snapshot_service
    permission:
      columns:
        - category
        - description
        - designer
        - name
        - id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _staff
    permission:
      columns:
        - category
        - description
        - designer
        - name
        - id
      filter: {}
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - category
        - description
        - designer
        - name
        - id
      filter: {}
update_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - category
        - description
        - designer
        - name
        - id
      filter: {}
      check: {}
delete_permissions:
  - role: _ctf_admin
    permission:
      filter: {}
